Skip to content

Simulate incoming bank transfer

Request

Simulates a bank transfer into a profile's account details. This will create a payment into the user's account details and balance for the specified amount and currency.

Please refer to the Bank Account Details API reference for more information on setting up bank details to receive money.

This functionality only works for the following currencies: USD, EUR, GBP. Returns a 400 error when account details for the specified currency do not exist.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
currencystring^[A-Z]{3}$required

The currency of the bank account details that you want to make payment to.

Example:"USD"
amountnumber, > 0required

The payment amount.

referencestring, <= 255 characters

Custom payment reference to identify the payment.

Example:"Test transfer"
senderNamestring, <= 255 characters

Sender full name.

Example:"Jane Doe"
senderBankCodestring, <= 255 characters

Sender bank code.

Example:"101019628"
senderAccountNumberstring, <= 255 characters

Sender's bank account number.

Example:"1234567890"
beneficiaryNamestring, <= 255 characters

Beneficiary name - defaults to account holder name.

Example:"John Doe"
senderAddressobject, <= 255 characters

Sender address.

beneficiaryAddressobject

Beneficiary address.

curl -i -X POST \
  'https://api.wise.com/2026Q4/simulation/profiles/{profileId}/bank-transactions/import' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "currency": "USD",
    "amount": 2000
  }'

Responses

Bank transaction imported successfully. No content returned.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content